[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TToggledCheckboxEvent

Specifies an event handler signalled when the value in a check box cell is changed.

## Declaration

Source position: grids.pas line 388

`type TToggledCheckboxEvent = procedure(`
`Sender: TObject;`
`aCol: Integer;`
`aRow: Integer;`
`aState: TCheckBoxState`
`) of object;`

## Arguments

`Sender` |  | Grid control for the event notification.
`aCol` |  | Column number for the altered cell.
`aRow` |  | Row number for the altered cell.
`aState` |  | State for the check box in the associated cell editor.

## Description

TToggledCheckboxEvent specifies an event handler signalled when the value in CheckBox-style cell is changed in a grid. Arguments passed to the event handler identify the grid control for the event notification, the row and column numbers for the altered cell, and the state for a check box cell editor.

TToggledCheckboxEvent is the type used to implement the OnCheckboxToggled in TCustomGrid and descendent classes. Applications must implement an object procedure using the signature for the event handler to respond to the event notification.

## See also

TCustomGrid.OnCheckboxToggled |  | Event handler signalled when the value for a check box cell is toggled.
TCustomDrawGrid.ToggleCheckbox |  | Toggles the state for a check box cell between the checked and unchecked values.